Version 0.10.0 Maven Plugin For Eclipse

Sonatype have announced the first production release of their m2eclipse Maven integration for Eclipse, for more than a year. m2eclipse integrates data from a Maven project’s Object Model with Eclipse IDE features.

Version 0.10.0 of m2eclipse is integrated with Maven 3.0-alpha-6+. It is compatible with Maven 3.0 CLI behaviour and uses the jetty-wagon by default. Note, that if you require m2eclipse configuring to use a Maven 2 installation, you can do this in the m2eclipse preferences. This version also introduces Maven Project Lifecycle Mapping framework, which enables you to customise the Maven plugins and plugin goals involved in your development cycle and a new Repositories View for inspecting, modifying, and managing the Maven repositories.

For full details of all the updates, please see the New & Noteworthy.

Sonatype have also separated the update sites into a core update site and an extras update site containing optional components. The recommended version of Eclipse for this release is 3.5.1, although this version of m2eclipse does feature some preliminary support for version 3.6.

Please note that you cannot upgrade to m2eclipse version 0.10.0 from 0.9.8 or 0.9.9-dev. These previous versions must either be uninstalled from your Eclipse installation, or you should start with a fresh installation of Eclipse.

jt

What do you think?

JAX Magazine - 2014 - 03 Exclucively for iPad users JAX Magazine on Android

Comments

Latest opinions